SPDMEM(4)

NAME
spdmem - Generic Memory Module Serial Presence Detect

SYNOPSIS
spdmem* at iic? addr 0x50
spdmem* at iic? addr 0x51
spdmem* at iic? addr 0x52
spdmem* at iic? addr 0x53

DESCRIPTION
The spdmem driver provides support for generic memory module Serial Presence Detect. During kernel boot it displays module type, and where possible, the size and rated speed of the memory module. Additional information such as bank configuration and width is printed if the kernel is booted in verbose mode.

The Serial Presence Detect data for each memory module is also made accessible to user mode via sysctl(8). An entry for each spdmem device is created under the hw top-level MIB.

SEE ALSO
iic(4), intro(4)

HISTORY
The spdmem driver first appeared in NetBSD 5.0.

AUTHORS
-nosplit The spdmem driver was written by Nicolas Joly <njoly@pasteur.fr> with additional work by Paul Goyette <paul@whooppee.com>.